<?php
namespace Teknisa\DF\Controllers;

use Teknisa\DF\Services\Grs18000ParametroExportacaoNfSapService;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;

class Grs18000ParametroExportacaoNfSapController {

    protected $parametroService;

    public function __construct(Grs18000ParametroExportacaoNfSapService $parametroService) {
        $this->parametroService = $parametroService;
    }

    public function changeParameter(DTO\Request\Row $request, DTO\Response $response) {
        try {
            $this->parametroService->changeParameter($request->getRow());
        }
        catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }

    public function getParameter(DTO\Request\Row $request, DTO\Response $response) {
        try {
            $parametro = $this->parametroService->getParameter($request->getRow());
            $response->addDataSet(new DataSet("parametro", array($parametro)));
        }
        catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
}
